commit:     ac354231107e71a1d2245172ebabb892dab73462
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 26 04:42:05 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 26 04:42:21 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac354231

x11-libs/libnotify: add 0.8.6

I hadn't realised that 0.8.4 had issues when I filed the stable bug
(bug #954583). Anyway, I spotted 2091766bbd6c317a7355ddc891cd047dafc475d5
(which shouldn't have been in ~arch, but rather masked if broken) so let's
bump to that and then drop 0.8.4 back to ~arch.

Bug: https://bugs.gentoo.org/954583
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-libs/libnotify/Manifest               |  1 +
 x11-libs/libnotify/libnotify-0.8.6.ebuild | 71 +++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/x11-libs/libnotify/Manifest b/x11-libs/libnotify/Manifest
index 26ab437779cc..e962487e418f 100644
--- a/x11-libs/libnotify/Manifest
+++ b/x11-libs/libnotify/Manifest
@@ -1,2 +1,3 @@
 DIST libnotify-0.8.3.tar.xz 106008 BLAKE2B 
05852c866dc91d42cf01804333605ecb546f7d779b143fabc341752263c8cacea9acda40bb60af90dbc84ab8327ba99966e09924ccc337f7a97909b95d39a874
 SHA512 
e55073fdf418a4c04375825221edc92ab6a01201b83db2a1f1530f8f91f7da9da32327452b0785251790553517dcc717cfe623142450691b7dd247ec9164cffb
 DIST libnotify-0.8.4.tar.xz 107396 BLAKE2B 
463ac3395ec79cfeb1a7e4584905bb36a708e30700a6acaf28413f45bf2b86fb0df3e8beeacb6f8a01d49ab6940382ef58d4bae62a2d9769dd5ee2f047be2429
 SHA512 
b13163a3b787133700931077591debc9cb89ac917f8fcf46bfb58bcf7eae348601b1e03299786d9af368139278b128424919358a8e7d208621f8b350fd063b0a
+DIST libnotify-0.8.6.tar.xz 107628 BLAKE2B 
5598a3539deb9a08bdb03f4cad5efb1610f07c48fa6029657bcdbedb6a73966512fcc313d038a4f26c762fc0e26cb3e6c3aa9caa3e59f57fccf2f51adced6773
 SHA512 
6e566f5907cfd7d623d58f5aa22d547271feb7e52bf28e463ecb98a763d6f7ad38cacc473d65e6f4a7e44c0514ab008078042e56a8b61edb719b9a1d192c2e34

diff --git a/x11-libs/libnotify/libnotify-0.8.6.ebuild 
b/x11-libs/libnotify/libnotify-0.8.6.ebuild
new file mode 100644
index 000000000000..e05a80fe160d
--- /dev/null
+++ b/x11-libs/libnotify/libnotify-0.8.6.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson-multilib xdg-utils
+
+DESCRIPTION="A library for sending desktop notifications"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libnotify";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="gtk-doc +introspection test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="gtk-doc? ( introspection )"
+
+RDEPEND="
+       >=dev-libs/glib-2.62:2[${MULTILIB_USEDEP}]
+       x11-libs/gdk-pixbuf:2[introspection?,${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       >=dev-libs/gobject-introspection-common-1.32
+       dev-util/glib-utils
+       virtual/pkgconfig
+       app-text/docbook-xsl-ns-stylesheets
+       dev-libs/libxslt
+       gtk-doc? (
+               dev-util/gi-docgen
+               app-text/docbook-xml-dtd:4.1.2
+       )
+       test? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+"
+IDEPEND="app-eselect/eselect-notify-send"
+PDEPEND="virtual/notification-daemon"
+
+src_prepare() {
+       default
+       xdg_environment_reset
+}
+
+multilib_src_configure() {
+       local emesonargs=(
+               $(meson_use test tests)
+               $(meson_native_use_feature introspection)
+               $(meson_native_use_bool gtk-doc gtk_doc)
+               -Ddocbook_docs=disabled
+       )
+       meson_src_configure
+}
+
+multilib_src_install_all() {
+       mv "${ED}"/usr/bin/{,libnotify-}notify-send || die #379941
+
+       einstalldocs
+
+       if use gtk-doc; then
+               mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+               mv "${ED}"/usr/share/{doc,gtk-doc}/libnotify-0 || die
+       fi
+}
+
+pkg_postinst() {
+       eselect notify-send update ifunset
+}
+
+pkg_postrm() {
+       eselect notify-send update ifunset
+}

Reply via email to